Package: groovy.ui

## [Java] Class ConsoleSupport

- groovy.ui.ConsoleSupport

- Base class for console

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addStylesToDocument(JTextPane outputArea)`
    `protected Object` | `evaluate(String text)`
    `Style` | `getCommandStyle()`
    `Style` | `getOutputStyle()`
    `Style` | `getPromptStyle()`
    `GroovyShell` | `getShell()`
    `protected void` | `handleException(String text, Exception e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected void addStylesToDocument(JTextPane outputArea)

    - #### protected Object evaluate(String text)

    - #### public Style getCommandStyle()

    - #### public Style getOutputStyle()

    - #### public Style getPromptStyle()

    - #### public GroovyShell getShell()

    - #### protected void handleException(String text, Exception e)